<?php

/**
 * @file
 */

/**
 * Field handler to present a link to the user.
 */
class station_schedule_handler_field_iid_link extends views_handler_field {

  public function construct() {
    parent::construct();
    $this->additional_fields['iid'] = 'iid';
    $this->additional_fields['schedule_nid'] = 'schedule_nid';
  }

  public function option_definition() {
    $options = parent::option_definition();
    $options['text'] = array(
      'default' => '',
      'translatable' => TRUE,
    );
    return $options;
  }

  public function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['text'] = array(
      '#type' => 'textfield',
      '#title' => t('Text to display'),
      '#default_value' => $this->options['text'],
    );
  }

  public function access() {
    // @TODO figure out a more granular way to handle permissions here.
    return user_access('administer station schedule');
  }

  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  public function render($values) {
    $text = !empty($this->options['text']) ? $this->options['text'] : t('view');
    $iid = $this->get_value($values, 'iid');
    $schedule_nid = $this->get_value($values, 'schedule_nid');
    return l($text, "node/$schedule_nid/schedule/$iid/edit", array('query' => drupal_get_destination()));
  }

}
