<?php

/**
 * @file
 */

class station_schedule_handler_field_time extends views_handler_field {

  public function option_definition() {
    $options = parent::option_definition();
    $options['style'] = array('default' => 'station_hour');
    return $options;
  }

  public function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['style'] = array(
      '#type' => 'radios',
      '#title' => t('Style'),
      '#options' => array(
        'station_hour' => t('Hour'),
        'station_dayhour' => t('Day/hour'),
        'station_day' => t('Day'),
      ),
      '#default_value' => $this->options['style'],
      '#description' => t('Which time style should be used.'),
    );
  }

  public function render($values) {
    $time = $this->get_value($values);
    return $time ? theme($this->options['style'], array('time' => $time)) : "";
  }

}
