<?php

/**
 * @file
 */

class station_schedule_handler_field_time_range extends views_handler_field {

  public function option_definition() {
    $options = parent::option_definition();
    $options['style'] = array('default' => 'station_hour_range');
    return $options;
  }

  public function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['style'] = array(
      '#type' => 'radios',
      '#title' => t('Style'),
      '#options' => array(
        'station_hour_duration' => t('Duration'),
        'station_hour_range' => t('Hour range'),
        'station_dayhour_range' => t('Day/hour range'),
      ),
      '#default_value' => $this->options['style'],
      '#description' => t('Which time style should be used.'),
    );
  }

  public function query() {
    // Since 'time' isn't a real field just add in our additional fields and
    // be done with it.
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  public function render($values) {
    $start = $this->get_value($values, 'start');
    $finish = $this->get_value($values, 'finish');
    if ($start && $finish) {
      return theme($this->options['style'], array('start' => $start, 'finish' => $finish));
    }
  }

}
